SPEEDTEST-GO(1)

NAME
speedtest-go - Test Internet Speed using speedtest.net

DESCRIPTION
usage: speedtest-go [<flags>]

  Flags:

--[no-]help
    Show context-sensitive help (also try --help-long and --help-man).

-l, --[no-]list
    Show available speedtest.net servers.

-s, --server=SERVER ...
    Select server id to run speedtest.

--custom-url=CUSTOM-URL
    Specify the url of the server instead of fetching from speedtest.net.

--[no-]saving-mode
    Test with few resources, though low accuracy (especially > 30Mbps).

--[no-]json
    Output results in json format.

--[no-]jsonl
    Output results in jsonl format (one json object per line).

--[no-]unix
    Output results in unix like format.

--location=LOCATION
    Change the location with a precise coordinate (format: lat,lon).

--city=CITY
    Change the location with a predefined city label.

--[no-]city-list
    List all predefined city labels.

--proxy=PROXY
    Set a proxy(http[s] or socks) for the speedtest.

--source=SOURCE
    Bind a source interface for the speedtest.

--[no-]dns-bind-source
    DNS request binding source (experimental).

-m, --[no-]multi
    Enable multi-server mode.

-t, --thread=THREAD
    Set the maximum number of concurrent connections (upload adapts automatically; default cap 8).

--search=SEARCH
    Fuzzy search servers by a keyword.

--ua=UA
    Set the user-agent header for the speedtest.

--[no-]no-download
    Disable download test.

--[no-]no-upload
    Disable upload test.

--ping-mode="http"
    Select a method for Ping (support icmp/tcp/http).

-u, --unit=UNIT
    Set human-readable and auto-scaled rate units for output (options: decimal-bits/decimal-bytes/binary-bits/binary-bytes).

--filter-cc=FILTER-CC ...
    Filter servers by Country Code(s).

--[no-]mask-isp
    Mask sensitive info (IP address and coordinates) in ISP output.

-d, --[no-]debug
    Enable debug mode.

--[no-]version
    Show application version.